#/bin/sh
export REGISTRY=${1:-git.chaos.fyi/mirror}

set -e

echo "Mirror image to ${REGISTRY}"

echo ""
echo "docker.io"

IMAGE=prometheuscommunity/postgres-exporter:v0.17.1
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=bitnami/redis:7.4.2-debian-12-r5
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"
IMAGE=bitnami/redis:7.4.2-debian-12-r4
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"
IMAGE=bitnami/redis
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=bitnami/redis-exporter:1.67.0-debian-12-r9
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=library/nginx:1.27.4
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=library/docker:28.0.0-dind
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=superseriousbusiness/gotosocial:0.18.3
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"
IMAGE=superseriousbusiness/gotosocial:0.18.2
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"
IMAGE=superseriousbusiness/gotosocial:0.18.1
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"

IMAGE=timberio/vector:0.45.0-debian
crane copy "docker.io/${IMAGE}" "${REGISTRY}/${IMAGE}"



echo ""
echo "ghcr.io"

IMAGE=metal-stack/oci-mirror
crane copy "ghcr.io/${IMAGE}" "${REGISTRY}/${IMAGE}"
